SelectCageObjectData Class

class NXOpen.Features.Subdivision.SelectCageObjectData

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents subdivision cage topology object selection.

New in version NX9.0.0.

Properties

Property Description
CanDeselectObjectsAutomatically Returns or sets the flag indicating if previously selected objects can be de-selected during selection of new objects.
SelectionList Returns the object list.
Tag Returns the Tag for this object.

Methods

Method Description
ClearAndAdd Clears the currently present objects and adds new objects.
SetCursorLocation Sets the cursor location in absolute coordinates.
SetViewDirection Sets the view direction.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

CanDeselectObjectsAutomatically

SelectCageObjectData.CanDeselectObjectsAutomatically

Returns or sets the flag indicating if previously selected objects can be de-selected during selection of new objects.

-------------------------------------

Getter Method

Signature CanDeselectObjectsAutomatically

Returns:
Return type:bool

New in version NX9.0.0.

Deprecated since version NX11.0.0: There is no replacement for this unused property.

License requirements: None.

-------------------------------------

Setter Method

Signature CanDeselectObjectsAutomatically

Parameters:canDeselect (bool) –

New in version NX9.0.0.

Deprecated since version NX11.0.0: There is no replacement for this unused property.

License requirements: nx_subdivision (” NX SUBDIVISION”)

SelectionList

SelectCageObjectData.SelectionList

Returns the object list.

-------------------------------------

Getter Method

Signature SelectionList

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX9.0.0.

License requirements: None.

Method Detail

ClearAndAdd

SelectCageObjectData.ClearAndAdd

Clears the currently present objects and adds new objects.

Signature ClearAndAdd(objects, view, point)

Parameters:
  • objects (list of NXOpen.NXObject) – Objects to process.
  • view (NXOpen.View) – Selected object view when selecting a single object.
  • point (NXOpen.Point3d) – Selected object point when selecting a single object.

New in version NX9.0.0.

License requirements: nx_subdivision (” NX SUBDIVISION”)

SetCursorLocation

SelectCageObjectData.SetCursorLocation

Sets the cursor location in absolute coordinates.

Signature SetCursorLocation(point)

Parameters:point (NXOpen.Point3d) –

New in version NX9.0.0.

License requirements: nx_subdivision (” NX SUBDIVISION”)

SetViewDirection

SelectCageObjectData.SetViewDirection

Sets the view direction.

Signature SetViewDirection(direction)

Parameters:direction (NXOpen.Vector3d) –

New in version NX9.0.1.

License requirements: nx_subdivision (” NX SUBDIVISION”)

Validate

SelectCageObjectData.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.